Package: org.codehaus.groovy.control.customizers.builder

## [Groovy] Class CompilerCustomizationBuilder

- org.codehaus.groovy.control.customizers.builder.CompilerCustomizationBuilder

- A builder which allows easy configuration of compilation customizers. Instead of creating various compilation customizers by hand, you may use this builder instead, which provides a shorter syntax and removes most of the verbosity.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FactoryBuilderSupport` | `CURRENT_FACTORY, PARENT_FACTORY, PARENT_NODE, CURRENT_NODE, PARENT_CONTEXT, PARENT_NAME, CURRENT_NAME, OWNER, PARENT_BUILDER, CURRENT_BUILDER, CHILD_BUILDER, SCRIPT_CLASS_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CompilerCustomizationBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `postNodeCompletion(Object parent, Object node)`
    `` | `static CompilerConfiguration` | `withConfig(CompilerConfiguration config, Closure code)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FactoryBuilderSupport` | `setProperty, getProperty, getName, getContext, getCurrentName, invokeMethod, invokeMethod, build, build, build, getCurrent, dispose, getVariables, setVariable, getVariable, registerBeanFactory, registerBeanFactory, addPreInstantiateDelegate, removePreInstantiateDelegate, getLocalExplicitProperties, getMethodMissingDelegate, addPostInstantiateDelegate, getAttributeDelegates, setMethodMissingDelegate, getCurrentBuilder, registerExplicitMethod, registerExplicitMethod, getRegistrationGroups, getCurrentFactory, removePostInstantiateDelegate, getPreInstantiateDelegates, getPostNodeCompletionDelegates, checkValueIsTypeNotString, getLocalFactories, getPropertyMissingDelegate, setPropertyMissingDelegate, getExplicitProperties, removeAttributeDelegate, addPostNodeCompletionDelegate, removePostNodeCompletionDelegate, registerExplicitProperty, registerExplicitProperty, autoRegisterNodes, getRegistrationGroupItems, getPostInstantiateDelegates, getExplicitMethods, addAttributeDelegate, getContextAttribute, getLocalExplicitMethods, setNameMappingClosure, getDisposalClosures, addDisposalClosure, getNameMappingClosure, withBuilder, withBuilder, withBuilder, getParentFactory, getFactories, getParentContext, getChildBuilder, checkValueIsNull, checkValueIsType, getParentName, registerFactory, registerFactory, getParentNode, hasVariable, getMetaClass, setMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Binding` | `setProperty, getProperty, hasVariable, getVariables, setVariable, getVariable, invokeMethod, getMetaClass, setMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### CompilerCustomizationBuilder()

  - ### Method Detail

    - #### @Override protected Object postNodeCompletion(Object parent, Object node)

    - #### static CompilerConfiguration withConfig(CompilerConfiguration config, Closure code)